com.snowflake.client.jdbc

## Class SnowflakeResultSetMetaDataV1

- java.lang.Object
- - com.snowflake.client.jdbc.SnowflakeResultSetMetaData
  - - com.snowflake.client.jdbc.SnowflakeResultSetMetaDataV1

All Implemented Interfaces:
  ResultSetMetaData, Wrapper

    public class SnowflakeResultSetMetaDataV1
    extends SnowflakeResultSetMetaData

Snowflake ResultSetMetaData

Author:
  jhuang

### Field Summary

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

### Constructor Summary

Constructors
Constructor and Description
`SnowflakeResultSetMetaDataV1(SFResultSetMetaData resultSetMetaData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCatalogName(int column)`
`int` `getColumnCount()`
`int` `getColumnDisplaySize(int column)`
`int` `getColumnIndex(String columnName)`
`String` `getColumnLabel(int column)`
`String` `getColumnName(int column)`
`List<String>` `getColumnNames()`
`int` `getColumnType(int column)`
`String` `getColumnTypeName(int column)`
`int` `getInternalColumnType(int column)`
`int` `getPrecision(int column)`
`String` `getQueryId()`
`int` `getScale(int column)`
`String` `getSchemaName(int column)`
`String` `getTableName(int column)`
`int` `isNullable(int column)`
`boolean` `isSigned(int column)`

### Methods inherited from class com.snowflake.client.jdbc.SnowflakeResultSetMetaData

`getColumnClassName, isAutoIncrement, isCaseSensitive, isCurrency, isDefinitelyWritable, isReadOnly, isSearchable, isWrapperFor, isWritable, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnowflakeResultSetMetaDataV1

    public SnowflakeResultSetMetaDataV1(SFResultSetMetaData resultSetMetaData)
                                 throws SnowflakeSQLException

Throws:
  `SnowflakeSQLException`

### Method Detail

#### getQueryId

    public String getQueryId()

Overrides:
  `getQueryId` in class `SnowflakeResultSetMetaData`
Returns:
  query id

#### getColumnNames

    public List<String> getColumnNames()

Overrides:
  `getColumnNames` in class `SnowflakeResultSetMetaData`
Returns:
  list of column names

#### getColumnIndex

    public int getColumnIndex(String columnName)

Overrides:
  `getColumnIndex` in class `SnowflakeResultSetMetaData`
Parameters:
  `columnName` - column name
Returns:
  index of the column by name

#### getColumnCount

    public int getColumnCount()
                       throws SQLException

Specified by:
  `getColumnCount` in interface `ResultSetMetaData`
Overrides:
  `getColumnCount` in class `SnowflakeResultSetMetaData`
Returns:
  column count
Throws:
  `SQLException` - if failed to get column count

#### isSigned

    public boolean isSigned(int column)
                     throws SQLException

Specified by:
  `isSigned` in interface `ResultSetMetaData`
Overrides:
  `isSigned` in class `SnowflakeResultSetMetaData`
Throws:
  `SQLException`

#### getColumnLabel

    public String getColumnLabel(int column)
                          throws SQLException

Specified by:
  `getColumnLabel` in interface `ResultSetMetaData`
Overrides:
  `getColumnLabel` in class `SnowflakeResultSetMetaData`
Throws:
  `SQLException`

#### getColumnName

    public String getColumnName(int column)
                         throws SQLException

Specified by:
  `getColumnName` in interface `ResultSetMetaData`
Overrides:
  `getColumnName` in class `SnowflakeResultSetMetaData`
Throws:
  `SQLException`

#### getPrecision

    public int getPrecision(int column)
                     throws SQLException

Specified by:
  `getPrecision` in interface `ResultSetMetaData`
Overrides:
  `getPrecision` in class `SnowflakeResultSetMetaData`
Throws:
  `SQLException`

#### getScale

    public int getScale(int column)
                 throws SQLException

Specified by:
  `getScale` in interface `ResultSetMetaData`
Overrides:
  `getScale` in class `SnowflakeResultSetMetaData`
Throws:
  `SQLException`

#### getInternalColumnType

    public int getInternalColumnType(int column)
                              throws SQLException

Overrides:
  `getInternalColumnType` in class `SnowflakeResultSetMetaData`
Throws:
  `SQLException`

#### getColumnType

    public int getColumnType(int column)
                      throws SQLException

Specified by:
  `getColumnType` in interface `ResultSetMetaData`
Overrides:
  `getColumnType` in class `SnowflakeResultSetMetaData`
Throws:
  `SQLException`

#### getColumnTypeName

    public String getColumnTypeName(int column)
                             throws SQLException

Specified by:
  `getColumnTypeName` in interface `ResultSetMetaData`
Overrides:
  `getColumnTypeName` in class `SnowflakeResultSetMetaData`
Throws:
  `SQLException`

#### isNullable

    public int isNullable(int column)
                   throws SQLException

Specified by:
  `isNullable` in interface `ResultSetMetaData`
Overrides:
  `isNullable` in class `SnowflakeResultSetMetaData`
Throws:
  `SQLException`

#### getCatalogName

    public String getCatalogName(int column)
                          throws SQLException

Specified by:
  `getCatalogName` in interface `ResultSetMetaData`
Overrides:
  `getCatalogName` in class `SnowflakeResultSetMetaData`
Throws:
  `SQLException`

#### getSchemaName

    public String getSchemaName(int column)
                         throws SQLException

Specified by:
  `getSchemaName` in interface `ResultSetMetaData`
Overrides:
  `getSchemaName` in class `SnowflakeResultSetMetaData`
Throws:
  `SQLException`

#### getTableName

    public String getTableName(int column)
                        throws SQLException

Specified by:
  `getTableName` in interface `ResultSetMetaData`
Overrides:
  `getTableName` in class `SnowflakeResultSetMetaData`
Throws:
  `SQLException`

#### getColumnDisplaySize

    public int getColumnDisplaySize(int column)
                             throws SQLException

Specified by:
  `getColumnDisplaySize` in interface `ResultSetMetaData`
Overrides:
  `getColumnDisplaySize` in class `SnowflakeResultSetMetaData`
Throws:
  `SQLException`